<form (submit)="submit()" [formGroup]="form">
  <p>Montant désiré</p>
  <input type="number" formControlName="value" />
  <button>Valider</button>
</form>
<button (click)="nextValue()">Montant suivant</button>
<button (click)="prevValue()">Montant précédent</button>

<ng-container *ngIf="calculatorResponse">
  <ng-container *ngIf="calculatorResponse.equal">
    <p>Votre montant est composé des cartes suivantes :</p>
    <div *ngFor="let card of calculatorResponse.equal.cards">
      - {{ card }} €
    </div>
  </ng-container>

  <ng-container
    *ngIf="
      !calculatorResponse.equal &&
      calculatorResponse.floor &&
      calculatorResponse.ceil
    "
  >
    <p>Choisir une composition de cartes :</p>
    <div (click)="setValue(calculatorResponse.floor.value)">
      {{ calculatorResponse.floor.value }}
      <div *ngFor="let card of calculatorResponse.floor.cards">
        - {{ card }} €
      </div>
    </div>
    <div (click)="setValue(calculatorResponse.ceil.value)">
      {{ calculatorResponse.ceil.value }}
      <div *ngFor="let card of calculatorResponse.ceil.cards">- {{ card }}</div>
    </div>
  </ng-container>
</ng-container>
